#[encrypted_library]
mod arcis_library {
    pub struct SHA3_256;

    impl SHA3_256 {
        pub fn new() -> Self {
            Self
        }

        #[arcis_circuit = "sha3-256"]
        pub fn digest(&self, message: &[u8]) -> [u8; 32] {}
    }

    pub struct SHA3_512;

    impl SHA3_512 {
        pub fn new() -> Self {
            Self
        }

        #[arcis_circuit = "sha3-512"]
        pub fn digest(&self, message: &[u8]) -> [u8; 64] {}
    }
}
